"""
Module de définition des tests pour le jeu du pendu
"""
#import nécessaires
from unittest import TestCase, main
from klasses.klass_pendu import Pendu

class TestPendu(TestCase):
    """
    classe de tests pour le jeu du pendu
    """
    def setUp(self)->None:
        """
        mise en place d'une partie "test"
        :return: None
        """
        self.jeu:Pendu = Pendu(5)

    def test_lettre(self):
        #test sur le controle de la lettre
        self.assertTrue(self.jeu._Pendu__controler_lettre('a'))

    def test_pas_lettre(self):
        # test sur le controle de la lettre
        self.assertFalse(self.jeu._Pendu__controler_lettre('12'))

    def test_hack(self):
        # test sur le hack
        self.jeu + 6
        self.assertEqual(self.jeu.get_max_erreurs(),11)




if __name__ == '__main__':
    main()


